Name:          hawtdb
Version:       1.6
Release:       13%{?dist}
Summary:       A Powerful Key/Value Store
# CDDL: hawtdb/src/main/java/org/fusesource/hawtdb/api/Callback.java
License:       ASL 2.0 and CDDL
URL:           http://hawtdb.fusesource.org/
Source0:       https://github.com/fusesource/hawtdb/archive/%{name}-project-%{version}.tar.gz

BuildRequires: maven-local
BuildRequires: mvn(commons-logging:commons-logging)
BuildRequires: mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.fusesource:fusesource-pom:pom:)
BuildRequires: mvn(org.fusesource.hawtbuf:hawtbuf)
# test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(log4j:log4j:12)

BuildArch:     noarch

%description
HawtDB is an embedded MVCC Key/Value Database.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-project-%{version}

# Remove unavailable org.fusesource.mvnplugins:fuse-javadoc-skin
%pom_xpath_remove "pom:project/pom:build/pom:extensions"

# Use org.apache.maven.wagon:wagon-webdav-jackrabbit
%pom_remove_plugin :maven-site-plugin

# Unavailable deps
%pom_disable_module %{name}-website

# Unwanted javadoc jar
%pom_remove_plugin :maven-javadoc-plugin %{name}

%pom_xpath_set "pom:properties/pom:log4j-version" 12

# Fail to generate hawtdb jar
%pom_xpath_remove "pom:plugin[pom:artifactId='maven-bundle-plugin']/pom:configuration/pom:instructions/pom:Private-Package" %{name}

# These tests fails
# org.fusesource.hawtdb.api.IOPagingException: Invalid extent read request.  The requested page was not an extent: 2
# org.junit.ComparisonFailure: expected:<[Change 1]> but was:<[page:2]>
# org.fusesource.hawtdb.api.IndexException: Page did not contain the expected btree headers
rm hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/BTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredBTreeIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/DeferredHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/FixedCapacityHashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/index/HashIndexTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/page/TxPageFileTest.java \
  hawtdb/src/test/java/org/fusesource/hawtdb/internal/io/MemoryMappedFileTest.java

%mvn_file :%{name} %{name}

%build

%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc changelog.md readme.md
%license license.txt

%files javadoc -f .mfiles-javadoc
%license license.txt

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Aug 14 2016 gil cattaneo <puntogil@libero.it> 1.6-9
- fix bundle plugin configuration
- use BRs mvn()-like

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jan 20 2015 gil cattaneo <puntogil@libero.it> 1.6-6
- introduce license macro

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.6-4
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 08 2013 gil cattaneo <puntogil@libero.it> 1.6-2
- switch to XMvn
- minor changes to adapt to current guideline

* Tue Jun 04 2013 gil cattaneo <puntogil@libero.it> 1.6-1
- initial rpm
